Magick::DrawableFillOpacity Class Reference

`#include <Drawable.h>`

Inheritance diagram for Magick::DrawableFillOpacity:
[legend]
Collaboration diagram for Magick::DrawableFillOpacity:
[legend]

## Public Member Functions

| DrawableFillOpacity (double opacity_)
| ~DrawableFillOpacity (void)
void | operator() (MagickCore::DrawingWand *context_) const
DrawableBase * | copy () const
void | opacity (double opacity_)
double | opacity (void) const
Public Member Functions inherited from Magick::DrawableBase
| DrawableBase (void)
virtual | ~DrawableBase (void)

## Detailed Description

Definition at line 1022 of file Drawable.h.

## Constructor & Destructor Documentation

## DrawableFillOpacity()

Magick::DrawableFillOpacity::DrawableFillOpacity | ( | double | opacity_ | ) |

inline

Definition at line 1026 of file Drawable.h.

## ~DrawableFillOpacity()

Magick::DrawableFillOpacity::~DrawableFillOpacity | ( | void |  | ) |

Definition at line 763 of file Drawable.cpp.

## Member Function Documentation

## copy()

Magick::DrawableBase * Magick::DrawableFillOpacity::copy | ( |  | ) | const

virtual

Reimplemented from Magick::DrawableBase.

Definition at line 773 of file Drawable.cpp.

## opacity() [1/2]

void Magick::DrawableFillOpacity::opacity | ( | double | opacity_ | ) |

inline

Definition at line 1039 of file Drawable.h.

## opacity() [2/2]

double Magick::DrawableFillOpacity::opacity | ( | void |  | ) | const

inline

Definition at line 1044 of file Drawable.h.

## operator()()

void Magick::DrawableFillOpacity::operator() | ( | MagickCore::DrawingWand * | context_ | ) | const

virtual

Reimplemented from Magick::DrawableBase.

Definition at line 768 of file Drawable.cpp.

The documentation for this class was generated from the following files:

- Drawable.h
- Drawable.cpp